Public Class Form1
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        DataGridView1.Rows.Add("0,0", "0,1", "0,2")
        DataGridView1.Rows.Add("1,0", "(1,1)", "1,2")
        DataGridView1.Rows.Add("2,0", "2,1", "2,2")
        DataGridView1.Rows.Add("3,0", "3,1", "3,2")

        DataGridView1.Rows(1).Cells(1).Style.BackColor = Color.Pink
    End Sub

    Private Sub DataGridView1_ColumnWidthChanged(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewColumnEventArgs) Handles DataGridView1.ColumnWidthChanged
        Me.Invalidate()
    End Sub
    Private Sub DataGridView1_RowHeightChanged(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewRowEventArgs) Handles DataGridView1.RowHeightChanged
        Me.Invalidate()
    End Sub
    Private Sub DataGridView1_Scroll(ByVal sender As Object, ByVal e As System.Windows.Forms.ScrollEventArgs) Handles DataGridView1.Scroll
        Me.Invalidate()
    End Sub

    Private Sub Form1_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles Me.Paint
        ' Find cell (1, 2).
        Dim rect As Rectangle = DataGridView1.GetCellDisplayRectangle(1, 1, False)
        Dim x1 As Integer = DataGridView1.Left
        Dim y1 As Integer = DataGridView1.Top
        Dim the_pen As Pen
        If DataGridView1.Rows(1).Cells(1).Displayed Then
            the_pen = Pens.Blue
        Else
            the_pen = Pens.Red
        End If
        e.Graphics.DrawLine(the_pen, 0, y1 + rect.Top, Me.ClientSize.Width, y1 + rect.Top)
        e.Graphics.DrawLine(the_pen, 0, y1 + rect.Bottom, Me.ClientSize.Width, y1 + rect.Bottom)
        e.Graphics.DrawLine(the_pen, x1 + rect.Left, 0, x1 + rect.Left, Me.ClientSize.Height)
        e.Graphics.DrawLine(the_pen, x1 + rect.Right, 0, x1 + rect.Right, Me.ClientSize.Height)
    End Sub
End Class
